>From 4b6021165ad204d5f7736c0f7cfe7f5c88d65294 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Sat, 13 Aug 2011 16:52:08 +0300
Subject: [carFl mem 05/65] Add write_chunk_to_file

This function expects already opened file descriptor. Fseek doesn't
work on files opened with append flag.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 flashrom.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

diff --git a/flashrom.c b/flashrom.c
index ad86fd9..6d01a6e 100644
--- a/flashrom.c
+++ b/flashrom.c
@@ -1323,6 +1323,20 @@ int write_buf_to_file(unsigned char *buf, unsigned long size,
 	return 0;
 }
 
+int write_chunk_to_file(unsigned char *buf, unsigned long start, unsigned int size,
+		      FILE *image)
+{
+	unsigned int numbytes;
+
+	fseek(image, start, SEEK_SET);
+	numbytes = fwrite(buf, 1, size, image);
+	if (numbytes != size) {
+		msg_gerr("File could not be written completely.\n");
+		return 1;
+	}
+	return 0;
+}
+
 int read_flash_to_file(struct flashchip *flash, const char *filename)
 {
 	unsigned long size = flash->total_size * 1024;
-- 
1.7.6

